package com.fzm.common.service;

import cn.hutool.json.JSONObject;
import com.fzm.common.entity.dto.JsapiPayDto;

import javax.servlet.http.HttpServletRequest;
import java.security.GeneralSecurityException;
import java.util.Map;

/**
 * @author tangtuo
 * @date 2022/1/13 10:13
 */
public interface WxPayService {

    /**
     * h5支付下单并生成签名
     *
     * @param jsapiPayDto
     * @return
     * @throws Exception
     */
    Map<String, Object> payJsapi(JsapiPayDto jsapiPayDto) throws Exception;

    String encryptByPrivateKey(String data) throws Exception;

    Boolean notifyH5(HttpServletRequest request);

    /**
     * 支付成功后处理订单
     *
     * @param jsonObject
     */
    void processOrder(JSONObject jsonObject) throws GeneralSecurityException;

    String queryOrder(Long orderId);
}
